%define guide_version 0.10.2-1
Summary:	Realistic sky generator
Summary(pl.UTF-8):	Realistyczny generator obrazu nieba
Name:		stellarium
Version:	0.11.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Science
Source0:	http://downloads.sourceforge.net/stellarium/%{name}-%{version}.tar.gz
# Source0-md5:	e5179d3f2c89d6386f45602e3f435a07
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://downloads.sourceforge.net/stellarium/%{name}_user_guide-%{guide_version}.pdf
# Source3-md5:	8da17ee33510f57cbfdb321d8ae43c59
URL:		http://www.stellarium.org/
BuildRequires:	OpenGL-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtTest-devel
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libpng-devel >= 2:1.2.0
BuildRequires:	perl-tools-pod
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stellarium renders 3D realistic skies in real time with OpenGL. It
displays stars, constellations, planets, nebulas and others things
like ground, landscape, fog, etc. Main features:
- Over 120000 stars from the Hipparcos Catalogue with name and infos
  for the brightest ones.
- Planets in real time, with a powerfull zoom mode.
- Drawing of the 88 constellations with their names.
- More than 40 messiers objects (Orion, M31 etc..).
- Photorealistic Milky Way.
- Ground, fog, and landscape.
- Star twinkling.
- Time control (real time and accelered time modes).
- Clikable stars, planets and nebulas with informations.
- Smooth real time navigation.
- Windowed and fullscreen modes.

%description -l pl.UTF-8
Stellarium przy pomocy OpenGL-a oddaje w czasie rzeczywistym
trójwymiarowe, realistyczne obrazy nieba. Wyświetla gwiazdy,
konstelacje, planety, mgławice i inne obiekty takie jak powierzchnia
ziemi, krajobrazy, mgła, itp. Główne cechy to:
- Ponad 120000 gwiazd z "Hipparcos Catalogue" z nazwami i opisem
  najjaśniejszych.
- Planety w czasie rzeczywistym z możliwością dużego powiększania.
- Wyświetlanie 88 konstelacji wraz z ich nazwami.
- Ponad 40 obiektów messiera (Orion, M31, itp...).
- Realistyczna Droga Mleczna.
- Powierzchnia, mgła i krajobraz.
- Migotanie gwiazd.
- Kontrola czasu (tryby czasu rzeczywistego i przyśpieszonego).
- Dostęp do informacji na temat gwiazd, planet i mgławic po ich
  kliknięciu.
- Płynna nawigacja w czasie rzeczywistym.
- Tryb pracy pełnoekranowej i w oknie.

%prep
%setup -q

install %{SOURCE3} .

%build
%cmake \
		-DCMAKE_INSTALL_PREFIX=%{_prefix} \
		.

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fil,haw,hrx,sco}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README %{name}_user_guide-%{guide_version}.pdf
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_pixmapsdir}/%{name}.png
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/stellarium.git;a=log;h=master

* Thu Feb 09 2012 lisu <lisu@pld-linux.org> 8055b21
- up to 0.11.1
- __rm macro

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 89724e9
- release 2

* Tue Feb 08 2011 sparky <sparky@pld-linux.org> 5e8e168
- BR: QtTest-devel

* Mon Feb 07 2011 Jacek Konieczny <jajcus@pld-linux.org> 6c1e7f5
- Version: 0.10.6
- remove unsupported locales in %install, the patch was hard to maintain
- libpng patch doesn't seem needed any more

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 1e2e92b
- added -libpng.patch
- release 3

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d4bfca3
- fixes build with libpng 1.4

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> db850d2
- dropped BR: SDL_mixer-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cbbda57
- release 2

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> 55bee44
- BR: QtNetwork-devel, perl-tools-pod, qt4-build, qt4-qmake

* Sun Oct 04 2009 Jacek Konieczny <jajcus@pld-linux.org> 193f332
- Version: 0.10.2

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8769843
- release 3

* Wed Apr 01 2009 spider <spider@pld-linux.org> f06150b
- missing br: boost-devel

* Mon Jan 05 2009 Jacek Konieczny <jajcus@pld-linux.org> f7a4fd2
- Release: 2

* Mon Jan 05 2009 Jacek Konieczny <jajcus@pld-linux.org> ccc6961
- updated for 0.10.0 (the missing commit)

* Sun Jan 04 2009 Jacek Konieczny <jajcus@pld-linux.org> 72dce4b
- Version: 0.10.0

* Sun Jan 04 2009 Jacek Konieczny <jajcus@pld-linux.org> c39faf6
- outdated

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 6c3adf2
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Jul 08 2007 Jakub Bogusz <qboosh@pld-linux.org> e7c60b8
- hw comment

* Thu Jul 05 2007 blekot <blekot@pld-linux.org> 33e0d0b
- added patch to remove hw locale
- STBR

* Thu Jul 05 2007 blekot <blekot@pld-linux.org> cf64dda
- patch to remove hw locale

